﻿using System.ComponentModel;
using System.Windows.Media;
using Telerik.Windows.Controls.Gauge;

namespace BoundRanges
{
	public class ViewModel : INotifyPropertyChanged
	{
		private GaugeRangeCollection ranges = new GaugeRangeCollection();
		public GaugeRangeCollection Ranges
		{
			get
			{
				return this.ranges;
			}

			set
			{
				this.ranges = value;
				OnPropertyChanged("Ranges");
			}
		}

		private NumberPositionCollection positions = new NumberPositionCollection();
		public NumberPositionCollection Positions
		{
			get
			{
				return this.positions;
			}

			set
			{
				this.positions = value;
				OnPropertyChanged("Positions");
			}
		}

		public ViewModel()
		{
			this.Ranges.Add(new GaugeRange()
			{
				Min = 0,
				Max = 30,
				Background = new SolidColorBrush(Colors.Green)
			});

			this.Ranges.Add(new GaugeRange()
			{
				Min = 30,
				Max = 70,
				Background = new SolidColorBrush(Colors.Yellow)
			});

			this.Ranges.Add(new GaugeRange()
			{
				Min = 70,
				Max = 100,
				Background = new SolidColorBrush(Colors.Brown)
			});


			this.Positions.Add(new FontNumberPosition());
			this.Positions.Add(new FontNumberPosition());
			this.Positions.Add(new FontNumberPosition());
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string name)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(name));
			}
		}
	}
}
